gtkmm 3.18.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Gtk::FileChooserError Class Reference

Exception class for Gdk::FileChooser errors. More...

`#include <gtkmm/filechooser.h>`

Inheritance diagram for Gtk::FileChooserError:
[legend]

## Public Types
enum | Code { NONEXISTENT, BAD_FILENAME, ALREADY_EXISTS, INCOMPLETE_HOSTNAME }
| These identify the various errors that can occur while calling Gtk::FileChooser functions. More...

## Public Member Functions
| FileChooserError (Code error_code, const Glib::ustring& error_message)
| FileChooserError (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring &message)
| Error (GError *gobject, bool take_copy=false)
| Error (const Error &other)
Error & | operator= (const Error &other)
virtual | ~Error () noexcept
GQuark | domain () const
int | code () const
Glib::ustring | what () const override
bool | matches (GQuark error_domain, int error_code) const
GError * | gobj ()
const GError * | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception () noexcept=0

## Additional Inherited Members
Protected Attributes inherited from Glib::Error
GError * | gobject_

## Detailed Description

Exception class for Gdk::FileChooser errors.

## Member Enumeration Documentation

enum Gtk::FileChooserError::Code

These identify the various errors that can occur while calling Gtk::FileChooser functions.

Enumerator
NONEXISTENT | Indicates that a file does not exist.
BAD_FILENAME | Indicates a malformed filename.
ALREADY_EXISTS | Indicates a duplicate path (e.g. when adding a bookmark).
INCOMPLETE_HOSTNAME | Indicates an incomplete hostname (e.g. "http://foo" without a slash after that).

## Constructor & Destructor Documentation

Gtk::FileChooserError::FileChooserError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

Gtk::FileChooserError::FileChooserError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

Code Gtk::FileChooserError::code | ( |  | ) | const